package cn.com.qmth.stmms.biz.report.service;

import cn.com.qmth.stmms.biz.report.model.ReportSubjectTeacher;
import cn.com.qmth.stmms.biz.report.query.ReportSubjectQuery;

import java.util.List;

/**
 * 课程教师成绩分析
 *
 * @author xuwenjin
 * @date 2019-04-16 16:51
 */
public interface ReportSubjectTeacherService {

    void deleteByExamId(Integer examId);

    List<ReportSubjectTeacher> findByQuery(ReportSubjectQuery query);

    ReportSubjectTeacher save(ReportSubjectTeacher r);

    void updateRelativeAvgScore(Integer examId);

    void deleteByExamIdAndSubjectCode(Integer examId, String subjectCode);
}
